org.apache.felix.scrplugin.description

## Class PropertyDescription

- java.lang.Object
- - org.apache.felix.scrplugin.description.AbstractDescription
  - - org.apache.felix.scrplugin.description.PropertyDescription

    public class PropertyDescription
    extends AbstractDescription

A `PropertyDescription` describes a property of a component. In general all fields should be set by an annocation scanner, no default values should be assumed for these fields:

- name
- value
- multiValue
- type
- unbounded
- cardinality

These values have the following default values:

- label : null - will be handled by the scr generator
- description : null - will be handled by the scr generator
- isPrivate : null - will be be handled by the scr generator
- options : null

### Field Summary

### Fields inherited from class org.apache.felix.scrplugin.description.AbstractDescription

`annotation`

### Constructor Summary

Constructors
Constructor and Description
`PropertyDescription(ScannedAnnotation annotation)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AbstractDescription` `clone()`
`int` `getCardinality()`
`String` `getDescription()`
`String` `getLabel()`
`String[]` `getMultiValue()`
`String` `getName()`
`String[]` `getOptions()`
`PropertyType` `getType()`
`PropertyUnbounded` `getUnbounded()`
`String` `getValue()`
`Boolean` `isPrivate()`
`void` `setCardinality(int cardinality)`
`void` `setDescription(String description)`
`void` `setLabel(String label)`
`void` `setMultiValue(String[] values)`
`void` `setName(String name)`
`void` `setOptions(String[] values)`
`void` `setPrivate(Boolean isPrivate)`
`void` `setType(PropertyType type)`
`void` `setUnbounded(PropertyUnbounded unbounded)`
`void` `setValue(String value)`
`String` `toString()`

### Methods inherited from class org.apache.felix.scrplugin.description.AbstractDescription

`getAnnotation, getIdentifier, getSource, setSource`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PropertyDescription

    public PropertyDescription(ScannedAnnotation annotation)

### Method Detail

#### getUnbounded

    public PropertyUnbounded getUnbounded()

#### setUnbounded

    public void setUnbounded(PropertyUnbounded unbounded)

#### getOptions

    public String[] getOptions()

#### setOptions

    public void setOptions(String[] values)

#### getName

    public String getName()

#### setName

    public void setName(String name)

#### getValue

    public String getValue()

#### setValue

    public void setValue(String value)

#### getType

    public PropertyType getType()

#### setType

    public void setType(PropertyType type)

#### getMultiValue

    public String[] getMultiValue()

#### setMultiValue

    public void setMultiValue(String[] values)

#### isPrivate

    public Boolean isPrivate()

#### setPrivate

    public void setPrivate(Boolean isPrivate)

#### getLabel

    public String getLabel()

#### setLabel

    public void setLabel(String label)

#### getDescription

    public String getDescription()

#### setDescription

    public void setDescription(String description)

#### getCardinality

    public int getCardinality()

#### setCardinality

    public void setCardinality(int cardinality)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### clone

    public AbstractDescription clone()

Specified by:
  `clone` in class `AbstractDescription`